using Models;
using UnityEngine;

namespace Utils.PoseTransformHandlers
{
    public class NormalHandler : IPoseTransformHandler
    {
        private Vector3 _result;
        
        public void ReceivePoseLandmark(PoseLandmark landmark)
        {
            _result = new Vector3(landmark.X, landmark.Y, landmark.Z);
        }

        public Vector3 GetResultPosition()
        {
            return _result;
        }
    }
}